> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1usersettings



## OpenAPI

````yaml /api-reference/openapi.json put /v1/user/settings
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/user/settings:
    put:
      tags:
        - Settings
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SettingsUpdateSettingsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/SettingsUpdateSettingsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/SettingsUpdateSettingsRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    SettingsUpdateSettingsRequest:
      type: object
      properties:
        displayLanguage:
          type: string
          nullable: true
        communicationLanguage:
          type: string
          nullable: true
        emailNotifications:
          $ref: '#/components/schemas/DTOUpdateEmailNotificationSettingsDTO'
        pushNotifications:
          $ref: '#/components/schemas/DTOUpdatePushNotificationSettingsDTO'
      additionalProperties: false
    DTOUpdateEmailNotificationSettingsDTO:
      type: object
      properties:
        newReceipt:
          type: boolean
        newBankTransaction:
          type: boolean
        bankSynchronizationFailed:
          type: boolean
      additionalProperties: false
    DTOUpdatePushNotificationSettingsDTO:
      type: object
      properties:
        newReceipt:
          type: boolean
        newBankTransaction:
          type: boolean
        bankSynchronizationFailed:
          type: boolean
      additionalProperties: false

````